global_settings { charset utf8 } // OriginalEncoding: big-5

global_settings {
  assumed_gamma 1.0
}
#include "colors.inc"
#include "glass.inc"
#include "metals.inc"
#include "shapes.inc"
#include "skies.inc"
#include "stones.inc"
#include "woods.inc"

#include "logo.inc"

camera {
  location <0.0, 2.0, -6.0>
  direction z*1.5
  right x*4/3
  look_at <0.0, 0.0, -1.0>
}

light_source { <-30, 30, -30> color White }

sky_sphere { S_Cloud5 }

text {
  ttf /*"mingliu.ttc"*/"bkai00mp.ttf", "悠好！", 0.5/*depth*/, 0/*spacing*/
  matrix <
    1, 0, 0,
    .3, 1, 0,
    0, 0, 1,
    0, 0, 0
  >
  texture { T_Stone24 }
  rotate <0, -30, 0>
  translate <-3.5, 0, 3>
}

text {
  ttf "timrom.ttf", "POV-Ray", 1/*depth*/, 0/*spacing*/
  texture { T_Wood14 }
  rotate <0, 20, 0>
  translate <-2, 0, -1>
}

object {
  Align_Object(text {ttf /*"mingliu.ttc"*/"bsmi00lp.ttf", "漢語 Persistence of Vision", .25, 0}, x, 0)
  //Align_Object(Bevelled_Text(/*"mingliu.ttc"*/"bsmi00lp.ttf", "漢語 Persistence of Vision", 3,45,.025, .25, 0, no), x, 0)
  texture { T_Vicksbottle_Glass }
  rotate x*90 translate y*.25
  scale .2 rotate <0, -10, 0> translate <1.5, 0, -3>
}

object {
  Povray_Logo_Bevel
  pigment {
    planar scale 2 translate y*1
    color_map {
      [ 0.0, color <1.0, 0.4, 0.4> ]
      [ 0.5, color <0.4, 0.9, 0.4> ]
      [ 1.0, color <0.4, 0.4, 1.0> ]
    }
  }
  scale 0.7
  translate <2, 0.7, 2>
}

plane {
  y, 0 texture { T_Chrome_2D pigment { filter .7 transmit .3 } }
  normal { waves 0.01 frequency 10 scale 1 }
}
